## org.omg.CORBA
Class ServiceInformation

    java.lang.Object
      |
      +--org.omg.CORBA.ServiceInformation

All Implemented Interfaces:
  IDLEntity, java.io.Serializable

public final class ServiceInformation
extends java.lang.Object
implements IDLEntity

Struct definition : ServiceInformation

Author:
  OpenORB Compiler
See Also:
  Serialized Form

Field Summary
`ServiceDetail[]` `service_details` Struct member service_details
`ServiceDetail[]` `service_options` Struct member service_options

Constructor Summary
`ServiceInformation()` Default constructor
`ServiceInformation(ServiceDetail[] service_options, ServiceDetail[] service_details)` Constructor with fields initialization

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### service_options

    public ServiceDetail[] service_options

  Struct member service_options

### service_details

    public ServiceDetail[] service_details

  Struct member service_details

Constructor Detail

### ServiceInformation

    public ServiceInformation()

  Default constructor

### ServiceInformation

    public ServiceInformation(ServiceDetail[] service_options,
                              ServiceDetail[] service_details)

  Constructor with fields initialization
  Parameters:
    `service_options` - service_options struct member
    `service_details` - service_details struct member